# This file created by conda-build 3.17.7
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/1eb957db-f6e7-4c66-6c0b-2c400c90321c/volume/rsync-recipes/libxml2-2.9.9-on-osx, last modified Sat Jan 19 09:08:10 2019
# ------------------------------------------------

package:
    name: libxml2
    version: 2.9.9
source:
    patches:
        - 0004-CVE-2017-8872.patch
    sha256: 94fb70890143e3c6549f265cee93ec064c80a84c42ad0f23e85ee1fd6540a871
    url: http://xmlsoft.org/sources/libxml2-2.9.9.tar.gz
build:
    number: '0'
    run_exports:
        - libxml2 >=2.9.9,<2.10.0a0
    string: hab757c2_0
requirements:
    build:
        - autoconf 2.69 pl526he370928_5
        - automake 1.16.1 pl526_0
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libiconv 1.15 hdd342a3_7
        - libtool 2.4.6 h1de35cc_5
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - m4 1.4.18 h1de35cc_1
        - make 4.2.1 h3efe00b_1
        - perl 5.26.2 h4e221da_0
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - icu 58.2 h4b95b61_1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libiconv 1.15 hdd342a3_7
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - icu >=58.2,<59.0a0
        - libiconv >=1.15,<2.0a0
        - xz >=5.2.4,<6.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - xmllint test.xml
        - conda inspect linkages -p $PREFIX libxml2
        - conda inspect objects -p $PREFIX libxml2
    files:
        - test.xml
about:
    description: 'Though libxml2 is written in C a variety of language

        bindings make it available in other environments.

        '
    dev_url: https://git.gnome.org/browse/libxml2/
    doc_source_url: https://github.com/GNOME/libxml2/blob/master/doc/index.html
    doc_url: http://xmlsoft.org/html/index.html
    home: http://xmlsoft.org/
    license: MIT
    license_family: MIT
    license_file: Copyright
    summary: The XML C parser and toolkit of Gnome
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - gillins
        - jakirkham
        - jschueller
        - mingwandroid
        - msarahan
        - ocefpaf
